package com.ruoyi.framework.recovery.service;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxRecharge;

/**
 * 充值Service接口
 * 
 * @author jin
 * @date 2024-12-01
 */
public interface IWxRechargeService 
{
    /**
     * 查询充值
     * 
     * @param id 充值主键
     * @return 充值
     */
    public WxRecharge selectWxRechargeById(Long id);

    /**
     * 查询充值列表
     * 
     * @param wxRecharge 充值
     * @return 充值集合
     */
    public List<WxRecharge> selectWxRechargeList(WxRecharge wxRecharge);

    /**
     * 新增充值
     * 
     * @param wxRecharge 充值
     * @return 结果
     */
    public int insertWxRecharge(WxRecharge wxRecharge);

    /**
     * 修改充值
     * 
     * @param wxRecharge 充值
     * @return 结果
     */
    public int updateWxRecharge(WxRecharge wxRecharge);

    /**
     * 批量删除充值
     * 
     * @param ids 需要删除的充值主键集合
     * @return 结果
     */
    public int deleteWxRechargeByIds(Long[] ids);

    /**
     * 删除充值信息
     * 
     * @param id 充值主键
     * @return 结果
     */
    public int deleteWxRechargeById(Long id);
}
